import "@paperclover/console/inject";

const protocol = "http";

const server = serve(app, ({ address, port }) => {
  if (address === "::") address = "::1";
  console.info(url.format({
    protocol,
    hostname: address,
    port,
  }));
});

process.on("SIGINT", () => {
  server.close();
  process.exit(0);
});

process.on("SIGTERM", () => {
  server.close((err) => {
    if (err) {
      console.error(err);
      process.exit(1);
    }
    process.exit(0);
  });
});

import app from "#backend";
import url from "node:url";
import { serve } from "@hono/node-server";
import process from "node:process";
